> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourhomie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Chat



## OpenAPI

````yaml /api-reference/openapi.json post /v1/chats
openapi: 3.0.0
info:
  title: HomieAI API
  description: The HomieAI API description
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.yourhomie.ai
    description: Production server
  - url: https://staging.api.yourhomie.ai
    description: Staging server
security: []
tags:
  - name: Chat
    description: ''
  - name: Knowledge
    description: Public, CORS-enabled endpoints for PDP question sets
paths:
  /v1/chats:
    post:
      tags:
        - Chat
      summary: Create Chat
      operationId: ChatController_createChat
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateChatDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatDto'
      security:
        - bearer: []
components:
  schemas:
    CreateChatDto:
      type: object
      properties:
        chatbotId:
          type: string
        userId:
          type: string
      required:
        - chatbotId
    ChatDto:
      type: object
      properties:
        id:
          type: string
        chatbotId:
          type: string
        userId:
          type: string
        organizationId:
          type: string
        createdAt:
          type: string
      required:
        - id
        - chatbotId
        - userId
        - organizationId
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````